[**@rxap/forms v19.1.0**](../README.md)

***

[@rxap/forms](../globals.md) / AbstractControlOptions

# Interface: AbstractControlOptions\<T, E\>

Defined in: [packages/angular/forms/src/lib/types.ts:21](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/types.ts#L21)

## Extends

- `AbstractControlOptions`

## Type Parameters

• **T** = `any`

• **E** *extends* `NgValidationErrors` = `any`

## Properties

### asyncValidators?

> `optional` **asyncValidators**: `null` \| [`AsyncValidatorFn`](../type-aliases/AsyncValidatorFn.md)\<`T`, `E`\> \| [`AsyncValidatorFn`](../type-aliases/AsyncValidatorFn.md)\<`T`, `E`\>[]

Defined in: [packages/angular/forms/src/lib/types.ts:23](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/types.ts#L23)

#### Description

The list of async validators applied to control.

#### Overrides

`NgAbstractControlOptions.asyncValidators`

***

### updateOn?

> `optional` **updateOn**: `"submit"` \| `"change"` \| `"blur"`

Defined in: node\_modules/@angular/forms/index.d.ts:1986

#### Description

The event name for control to update upon.

#### Inherited from

`NgAbstractControlOptions.updateOn`

***

### validators?

> `optional` **validators**: `null` \| [`ValidatorFn`](../type-aliases/ValidatorFn.md)\<`T`, `E`\> \| [`ValidatorFn`](../type-aliases/ValidatorFn.md)\<`T`, `E`\>[]

Defined in: [packages/angular/forms/src/lib/types.ts:22](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/types.ts#L22)

#### Description

The list of validators applied to a control.

#### Overrides

`NgAbstractControlOptions.validators`
